using Godot;
using System;

public partial class AudioStreamPlayer2d : AudioStreamPlayer2D
{

	[Export] AudioStream audio;

	// Called every frame. 'delta' is the elapsed time since the previous frame.
	public override void _Process(double delta)
	{
		if (this.HasStreamPlayback() == false)
		{
			this.Stream = audio;
			Play();
		}
	}
}
